Bug 17995 - HOLDPLACED notice should have access to the reserves table
Summary: HOLDPLACED notice should have access to the reserves table
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-25 17:04 UTC by Nick Clemens
Modified: 2017-05-03 03:53 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17995 - HOLDPLACED notice should have access to the reserves table (1.16 KB, patch)
2017-01-25 17:05 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17995 - HOLDPLACED notice should have access to the reserves table (1.33 KB, patch)
2017-03-15 18:22 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17995 - HOLDPLACED notice should have access to the reserves table (1.40 KB, patch)
2017-03-17 14:28 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-01-25 17:04:06 UTC
HOLDPLACED is in the reserves module but cannot use reserves columns in the notice.

1 - Add reserves.reservenotes to HOLDPLACED message
2 - Enable emailLibrarianWhenHoldIsPlaced OpacHoldNotes sysprefs
3 - Place a hold via OPAC with a note
4 - view the messagequeue and note the reservenotes is blank
Comment 1 Nick Clemens 2017-01-25 17:05:48 UTC
Created attachment 59559 [details] [review]
Bug 17995  - HOLDPLACED notice should have access to the reserves table

To test:
1 - Add reserves.reservenotes to HOLDPLACED message
2 - Enable emailLibrarianWhenHoldIsPlaced OpacHoldNotes sysprefs
3 - Place a hold via OPAC with a note
4 - view the messagequeue and note the reservenotes is blank
5 - Apply patch
6 - Place a hold with a note
7 - view the messagequeue and note the reservenotes is populated
Comment 2 Marc Véron 2017-03-15 18:22:07 UTC
Created attachment 61115 [details] [review]
Bug 17995 - HOLDPLACED notice should have access to the reserves table

To test:
1 - Add reserves.reservenotes to HOLDPLACED message
2 - Enable emailLibrarianWhenHoldIsPlaced OpacHoldNotes sysprefs
3 - Place a hold via OPAC with a note
4 - view the messagequeue and note the reservenotes is blank
5 - Apply patch
6 - Place a hold with a note
7 - view the messagequeue and note the reservenotes is populated

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Jonathan Druart 2017-03-17 14:28:38 UTC
Created attachment 61217 [details] [review]
Bug 17995 - HOLDPLACED notice should have access to the reserves table

To test:
1 - Add reserves.reservenotes to HOLDPLACED message
2 - Enable emailLibrarianWhenHoldIsPlaced OpacHoldNotes sysprefs
3 - Place a hold via OPAC with a note
4 - view the messagequeue and note the reservenotes is blank
5 - Apply patch
6 - Place a hold with a note
7 - view the messagequeue and note the reservenotes is populated

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2017-03-23 15:40:30 UTC
Pushed to Master - Should be in the 17.05 release.  Thanks!
Comment 5 Katrin Fischer 2017-03-26 21:11:32 UTC
While the change is logical, I think this is an enhancement.
Comment 6 Jonathan Druart 2017-03-27 14:35:18 UTC
I think this is a bug fix, users can select data from the reserves table, but it will not work if they do.
Comment 7 Katrin Fischer 2017-04-02 16:48:26 UTC
You've persuaded me.

This patch has been pushed to 16.11.x and will be in 16.11.07.
Comment 8 Julian Maurice 2017-04-21 09:39:36 UTC
Changed severity to normal according to previous comments.

Pushed to 3.22.x for 3.22.20
Comment 9 Mason James 2017-05-03 03:53:06 UTC
Pushed to 16.05.x, for 16.05.12 release